LogTo("32CD.log");

LoadPackage("atlasrep");
Read("subdir.g"); # Given by Thomas Breuer




ct:=CharacterTable("B");
mx:=Maxes(ct);
ctmx:=List(mx,CharacterTable);

#max32:=[];
#for j in [1..Length(mx)] do 
#    if Positions(ClassNames(ctmx[j]),"32a")<>[] then
#    Add(max32,j);
#    fi;
#od;

#Print("\n The maximal subgroups of B containing elements of order 32 are: ");
#for j in max32 do
#    Print("\n ", mx[j]);
#od;

max:=6;
ctt:=ctmx[max];

setO1:=[ctt.32c,ctt.32d];
setO2:=[ctt.32g,ctt.32h];

Print("\n ");
Print("\n ");

# Read("M6enB.g");




ClassPower := function(max, O1,O2)
    local ctt, jj, aa, pp, Spp, res, l, j; 
    ctt:=ctmx[max];
    Print("\n Maximal subgroup number max= ", max , "\n");
    jj:=[];aa:=[];pp:=[];
    for j in [1..Length(ClassNames(ctt))] do
        if ClassMultiplicationCoefficient(ctt,O1,O2,j)>0 then
        Add(jj,j);Add(aa,ClassNames(ctt)[j]);
        fi;
    od;
    for j in jj do
        Add(pp, PowerMap(ctt,2)[j]);
    od;
    Spp:=Set(pp);
    res:=[];
    Print("\n For every class listed below there exist r in O1 and s in O2 such that (rs)^2 belongs to it: ");
    for l in Spp do 
        Add(res,ClassNames(ctt)[l]);
        Print("\n ", ClassNames(ctt)[l], "\n");
    od;
#    return fail;
end;


Print("\n Considering the possible fussions of the classes of ", mx[max], " into the classes of B. \n");
for O1 in setO1 do
    for O2 in setO2 do
        ClassPower(max,O1,O2);
    od;
od;


Print("\n The centralizer of an element in the class 32C of B has order ", SizesCentralizers(ct)[ct.32c], "\n");
Print("\n The centralizer of an element in the class 32D of B has order ", SizesCentralizers(ct)[ct.32d], "\n");

Print("\n ");
